unit Demo1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CallerId, ExtCtrls, GradText;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    Image1: TImage;
    CallerId1: TCallerId;
    procedure CallerId1Ring(Caller, Receiver: String);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CallerId1Ring(Caller, Receiver: String);
begin
  BringToFront;
  ListBox1.Items.Add(FormatDateTime('hh:mm dd mmmm yyyy',now));
  ListBox1.Items.Add('Caller  : ' + Caller);
  ListBox1.Items.Add('Receiver: ' + Receiver);
end;

procedure TForm1.FormCreate(Sender: TObject);
var Version: string;
begin
  CallerId1.Active := True;
  if CallerId1.Installed then ListBox1.Items.add('Installed');
  ListBox1.Items.add(CallerId1.Manufacturer);
  with CallerId1.Version do
    version := 'Capi ' +
    IntToStr(CapiMajor) + '.' +
    IntToStr(CapiMinor) + '(' +
    IntToStr(ManufacturerMajor) + '.' +
    IntToStr(ManufacturerMinor) + ')';
  ListBox1.Items.Add(version);
end;

end.
